curl --request PUT \
--url https://api.platform.dakota.xyz/rd-marketing-fee/payout-destinations/{asset}/{network} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-idempotency-key: <x-idempotency-key>' \
--data '
{
"address": "0x1234567890123456789012345678901234567890"
}
'const options = {
method: 'PUT',
headers: {
'x-idempotency-key': '<x-idempotency-key>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({address: '0x1234567890123456789012345678901234567890'})
};
fetch('https://api.platform.dakota.xyz/rd-marketing-fee/payout-destinations/{asset}/{network}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.dakota.xyz/rd-marketing-fee/payout-destinations/{asset}/{network}"
payload = { "address": "0x1234567890123456789012345678901234567890" }
headers = {
"x-idempotency-key": "<x-idempotency-key>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.platform.dakota.xyz/rd-marketing-fee/payout-destinations/{asset}/{network}"
payload := strings.NewReader("{\n \"address\": \"0x1234567890123456789012345678901234567890\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-idempotency-key", "<x-idempotency-key>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"asset": "RD",
"network": "base-mainnet",
"chain": "eip155:8453",
"address": "0x1234567890123456789012345678901234567890",
"updated_at": "2026-09-22T12:00:00Z"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}Register your payout destination for one deployment
Registers, or replaces, the wallet the payouts for one deployment are sent to. Each deployment has its own destination, so replacing one never moves another, and it is separate from your developer-fee payout destination.
The chain is the deploymentās, so it is not a parameter: the address
must be valid on the deploymentās network. RDās deployment is RD on
base-mainnet, the same destination PUT /rd-marketing-fee/payout-destination registers. A branded tokenās
destination can be registered only by the client that owns it, once
that client has held a contract rate for the token.
curl --request PUT \
--url https://api.platform.dakota.xyz/rd-marketing-fee/payout-destinations/{asset}/{network} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-idempotency-key: <x-idempotency-key>' \
--data '
{
"address": "0x1234567890123456789012345678901234567890"
}
'const options = {
method: 'PUT',
headers: {
'x-idempotency-key': '<x-idempotency-key>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({address: '0x1234567890123456789012345678901234567890'})
};
fetch('https://api.platform.dakota.xyz/rd-marketing-fee/payout-destinations/{asset}/{network}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.dakota.xyz/rd-marketing-fee/payout-destinations/{asset}/{network}"
payload = { "address": "0x1234567890123456789012345678901234567890" }
headers = {
"x-idempotency-key": "<x-idempotency-key>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.platform.dakota.xyz/rd-marketing-fee/payout-destinations/{asset}/{network}"
payload := strings.NewReader("{\n \"address\": \"0x1234567890123456789012345678901234567890\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-idempotency-key", "<x-idempotency-key>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"asset": "RD",
"network": "base-mainnet",
"chain": "eip155:8453",
"address": "0x1234567890123456789012345678901234567890",
"updated_at": "2026-09-22T12:00:00Z"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}Authorizations
Headers
Unique key to ensure request idempotency. If the same key is used within a certain time window, the original response will be returned instead of executing the request again.
Path Parameters
The asset the payout is made in: RD, or a branded token your client owns.
The network of the deployment. A deployment's payout is sent on its own network, so this names which deployment the destination is for rather than offering a choice of chain. Identifier for a blockchain network
ethereum-mainnet, ethereum-sepolia, ethereum-goerli, ethereum-holesky, solana-mainnet, solana-devnet, solana-testnet, base-mainnet, base-sepolia, arbitrum-mainnet, arbitrum-sepolia, optimism-mainnet, optimism-sepolia, polygon-mainnet, polygon-amoy 1 - 30"ethereum-mainnet"
Body
The wallet to send one deployment's payouts to.
An address on the deployment's network.
"0x1234567890123456789012345678901234567890"
Response
The registered destination.
A client's registered payout destination for one deployment, an asset on a network.
The asset the payout is made in.
"RD"
Identifier for a blockchain network
ethereum-mainnet, ethereum-sepolia, ethereum-goerli, ethereum-holesky, solana-mainnet, solana-devnet, solana-testnet, base-mainnet, base-sepolia, arbitrum-mainnet, arbitrum-sepolia, optimism-mainnet, optimism-sepolia, polygon-mainnet, polygon-amoy 1 - 30"ethereum-mainnet"
CAIP-2 chain id of the deployment's network.
"eip155:8453"
Was this page helpful?

